# coding: utf-8

import sys
import os
import re
import time
from nose.tools             import eq_
from subprocess             import call

this_dir = os.path.dirname( os.path.abspath( __file__ ) )
sys.path.append( this_dir + '/../lib' )

import KekLib, AutorgKek
from BasicUtils             import clear_dirs_with_retry
from CommandMain            import CommandMain

sys.path.append( this_dir + '/../..' )
from TestEnv import env_dict

tmp_dir = this_dir + '/temp'
run_dir = os.path.dirname( this_dir )

def test_load():
    assert True

def test_setup():
    clear_dirs_with_retry( [tmp_dir] )

def do_CommandMain( folder, file, out_file, atsas=False ):
    path    = folder + '/' + file

    exe_name = 'autorg_kek.bat'
    atsas_arg = '-A' if atsas else ''
    ret = call( '%s/%s %s -o %s %s' % ( run_dir, exe_name, atsas_arg, out_file, path ), shell=True )
    eq_( ret, 0 )

def test_Minimal():
    in_folder = env_dict[ 'in_folder3' ] + '/OA'
    file = 'OA_1.0_ave_sub.dat'
    out_file = tmp_dir + '/result.csv'
    do_CommandMain(in_folder, file, out_file)

if __name__ == '__main__':
    test_setup()
    test_Minimal()
